import { OnInit, OnChanges, ElementRef, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Calendar, CalendarOptions } from './airbnb-calendar.interface';
export declare class AirbnbCalendarComponent implements ControlValueAccessor, OnInit, OnChanges {
    private elementRef;
    cd: ChangeDetectorRef;
    options: CalendarOptions;
    modelValue: EventEmitter<string>;
    fromValue: EventEmitter<string | null>;
    toValue: EventEmitter<string | null>;
    private date;
    private innerValue;
    isOpened: boolean;
    calendar: Calendar;
    calendarNext: Calendar;
    fromToDate: {
        from: Date | null;
        to: Date | null;
    };
    get value(): string | null;
    set value(val: string | null);
    get controlsStatus(): {
        from: boolean;
        to: boolean;
    };
    writeValue(val: string | null): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    private onTouchedCallback;
    private onChangeCallback;
    constructor(elementRef: ElementRef, cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(): void;
    selectDay(index?: number, calendar?: 'primary' | 'secondary'): void;
    nextMonth(): void;
    prevMonth(): void;
    private initCalendar;
    private generateCalendar;
}
