import { Locale } from 'date-fns';
export interface Day {
    date: Date;
    day: number;
    month: number;
    year: number;
    isSameMonth: boolean;
    isToday: boolean;
    isSelected: boolean;
    isSelectable: boolean;
    isVisible: boolean;
    isIncluded: boolean;
    isActive: boolean;
}
export interface Calendar {
    month: number;
    year: number;
    title: string;
    dayNames: string[];
    days: Day[];
}
export interface CalendarOptions {
    minDate?: Date;
    maxDate?: Date;
    minYear?: number;
    maxYear?: number;
    format?: string;
    formatTitle?: string;
    formatDays?: string;
    firstCalendarDay?: number;
    locale?: Locale;
    closeOnSelected?: boolean;
}
export declare function mergeCalendarOptions(opts?: CalendarOptions): CalendarOptions;
